#ifndef __SELECTOR_H__
#define __SELECTOR_H__

/* here should be all selectors, we're not allocating them dynamicaly */
#define KERNEL_CODE	0x08
#define KERNEL_DATA	0x10
#define USER_CODE	0x18
#define USER_DATA	0x20
#define KERNEL_TSS	0x28
#define TASK_TSS	0x30

#ifndef SEL_ONLY	/* cause we can't have this in .S files */
extern void gdt;
void load_gdt(void);
#endif

#endif /*__SELECTOR_H__*/
