#define SEL_ONLY	/* only selectors */
#include <asm/selector.h>
		.text
		.globl	keyboard
		
		.align 4
	keyboard:
		cli			/* don't bother */
		/* save registers */
/*only?*/		pushl	%eax
/*or use pushal+popal to be sure*/
		pushl	%ds
		pushl	%es

		/* set our descriptors up to a DATA selector */
		movl	$KERNEL_DATA, %eax
		movl	%eax, %ds
		movl	%eax, %es
/*ale buffer je plny ked sme volani*/
		xorl %eax, %eax
		inb $0x64,%al
		andl $1,%eax	/*output buffer full?*/
		jz skip

		xorl	%eax, %eax
		inb	$0x60, %al	/* get the scancode */

		pushl	%eax
		.extern keyb
		call	keyb
		popl	%eax
skip:
		/* clear the PIC */
		movl	$0x20, %eax
		outb	%al, $0x20

		/* restore registers */
		popl	%es
		popl	%ds
		popl	%eax

		sti			/* enable interrupts */
		iret			/* get lost */


		.data
//nothing now
