/* standard system calls from unistd.h */

/*
	ponechane len execve()
*/


#include <errno.h>

int access(const char *path, int amode)
{
	return -ENOSYS;
}

unsigned alarm(unsigned seconds)
{
	return -ENOSYS;
}

int chdir(const char *path)
{
	return -ENOSYS;
}

int chown(const char *path, uid_t owner, gid_t group)
{
	return -ENOSYS;
}

int close(int fildes)
{
	return -ENOSYS;
}

size_t confstr(int name, char *buf, size_t len)
{
	return -ENOSYS;
}

int dup(int fildes)
{
	return -ENOSYS;
}


int dup2(int fildes, int fildes2)
{
	return -ENOSYS;
}

int execve(const char *path, char *const argv[], char *const envp[])
{
	return -ENOSYS;
}

void _exit(int status)
{
	return -ENOSYS;
}

int fchown(int fildes, uid_t owner, gid_t group)
{
	return -ENOSYS;
}

pid_t fork(void)
{
	return -ENOSYS;
}

long fpathconf(int fildes, int name)
{
	return -ENOSYS;
}

int ftruncate(int fildes, off_t length)
{
	return -ENOSYS;
}

char *getcwd(char *buf, size_t size)
{
	return -ENOSYS;
}

gid_t getegid(void)
{
	return -ENOSYS;
}

uid_t geteuid(void)
{
	return -ENOSYS;
}

gid_t getgid(void)
{
	return -ENOSYS;
}

int getgroups(int gidsetsize, gid_t grouplist[])
{
	return -ENOSYS;
}

int gethostname(char *name, size_t namelen)
{
	return -ENOSYS;
}

char *getlogin(void)
{
	return -ENOSYS;
}

int getlogin_r(char *name, size_t namesize)
{
	return -ENOSYS;
}

pid_t getpgrp(void)
{
	return -ENOSYS;
}

pid_t getpid(void)
{
	return -ENOSYS;
}

pid_t getppid(void)
{
	return -ENOSYS;
}

uid_t getuid(void)
{
	return -ENOSYS;
}

int isatty(int fildes)
{
	return -ENOSYS;
}

int link(const char *path1, const char *path2)
{
	return -ENOSYS;
}

off_t lseek(int fildes, off_t offset, int whence)
{
	return -ENOSYS;
}

long pathconf(const char *path, int name)
{
	return -ENOSYS;
}

int pause(void)
{
	return -ENOSYS;
}

int pipe(int fildes[2])
{
	return -ENOSYS;
}

ssize_t read(int fildes, void *buf, size_t nbyte)
{
	return -ENOSYS;
}

ssize_t readlink(const char *restrict path, char *restrict buf, size_t bufsize)
{
	return -ENOSYS;
}

int rmdir(const char *path)
{
	return -ENOSYS;
}

int setegid(gid_t gid)
{
	return -ENOSYS;
}

int seteuid(uid_t uid)
{
	return -ENOSYS;
}

int setgid(gid_t gid)
{
	return -ENOSYS;
}


int setpgid(pid_t pid, pid_t pgid)
{
	return -ENOSYS;
}

pid_t setsid(void)
{
	return -ENOSYS;
}

int setuid(uid_t uid)
{
	return -ENOSYS;
}

unsigned sleep(unsigned seconds)
{
	return -ENOSYS;
}

int symlink(const char *path1, const char *path2)
{
	return -ENOSYS;
}

long sysconf(int name)
{
	return -ENOSYS;
}
/* cez ioctl? GLIBC to tak robi
pid_t tcgetpgrp(int fildes)
{
	return -ENOSYS;
}

int tcsetpgrp(int fildes, pid_t pgid_id)
{
	return -ENOSYS;
}
*/
char *ttyname(int fildes)
{
	return -ENOSYS;
}

int ttyname_r(int fildes, char *name, size_t namesize)
{
	return -ENOSYS;
}

int unlink(const char *path)
{
	return -ENOSYS;
}

ssize_t write(int fildes, const void *buf, size_t nbyte)
{
	return -ENOSYS;
}
