#ifndef __KERNEL_H__
#define __KERNEL_H__

#include <asm/printk.h>

#include <multiboot.h>
extern multiboot_info_t *mbi;

#include <asm/types.h>
extern __volatile__ u32 ticks;

#include <asm/paging.h>

#define cli()	__asm__ __volatile__ ("cli")
#define sti()	__asm__ __volatile__ ("sti")

#define HZ	100	/* used by CLOCKS_PER_SEC in time.h */

#endif /* __KERNEL_H__*/
