#define SEL_ONLY	/* only selectors */
#include <asm/selector.h>

		.text
		.globl	irq8
		
		.align 4
	irq8:
		/* save registers */
		pushal
		pushl	%ds
		pushl	%es

		/* set our descriptors up to a DATA selector */
		movl	$KERNEL_DATA, %eax
		movl	%eax, %ds
		movl	%eax, %es

/*********************************************/
		jmp 1f
	.extern puts
		str:
		.asciz "irq8\n"
1:
		pushl	$str
		call	puts
		addl	$4,%esp
/*********************************************/
		
		/* clear IRQF bit in register C (cleared by read) */
		movl	$0xC, %eax
		outb	%al, $0x70
		inb	$0x71, %al

		/* clear the PIC - we're on slave (0x08-0x0F) so clear it too */
		movl	$0x20, %eax
		outb	%al, $0xA0
		outb	%al, $0x20

		/* restore registers */
		popl	%es
		popl	%ds
		popal

		iret			/* get lost */
