/* info from OS FAQ, implementation from linux */

#include <asm/io.h>

#include <kernel.h>		/* HZ */
#define LATCH	(1193182/HZ)

void init_pit(void)
{
	/* binary, mode 2 (rate generator), LSB/MSB, ch 0 */
	outb_p(0x34,0x43);
	/* LSB */
	outb_p(LATCH&0xff, 0x40);
	/* MSB */
	outb(LATCH>>8, 0x40);
}
