/* just to be more visible :) */

#include <asm/types.h>

#include <asm/io.h>
#include <asm/printk.h>
void set_window(u32 offset)
{
	outb_p(12, VGA_INDEX);
	outb_p((u8) (offset >> 8), VGA_DATA);
	outb_p(13, VGA_INDEX);
	outb_p((u8) offset, VGA_DATA);
}

/*
	sets the border of screen (only on CRT monitor?)
	(Programovani obrazovych adapteru PC)
 */
void set_overscan(u8 color)
{
	__asm__ __volatile__ ("\
		movl	%0, %%edx		;\
		inb	%%dx, %%al		;\
		movl	%1, %%edx		;\
		movl	$0x11, %%eax		;\
		outw	%%ax, %%dx		;\
		movl	%2, %%eax		;\
		outw	%%ax, %%dx		;\
		movl	$0x20, %%eax		;\
		outw	%%ax, %%dx"
		: /*no output*/
		: "g" (0x03DA), "g" (0x03C0), "g" (color)
		: /*clobbers*/ "eax", "dx");
}
